%perl_module Convert-ASN1 0.18 4

Summary:       An ASN.1 Encode/Decode library.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/~gbarr/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:     noarch
BuildRequires: perl(Test::More)

%description
Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog
%{perl_vendorlib}/Convert/ASN1.pm
%{perl_vendorlib}/Convert/ASN1.pod
%{perl_vendorlib}/Convert/ASN1
%{perl_man3dir}/Convert::ASN1.3pm*

%changelog
* Sat Jan 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
